﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DomainModel
{
    public partial class Order
    {
        public Order()
        {
            this.OrderItems.AssociationChanged += new System.ComponentModel.CollectionChangeEventHandler(OrderItems_AssociationChanged);
        }

        void OrderItems_AssociationChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if (e.Action == System.ComponentModel.CollectionChangeAction.Add)
            {
                OrderItem item = (OrderItem)e.Element;
                if (item.Version == null)
                {
                   item.Version = this.Version;
                }
            }
            else if (e.Action == System.ComponentModel.CollectionChangeAction.Remove)
            {
                this.Version.Increment();
            }
        }

        
    }
}
